# International Passport

{% hint style="info" %}
TEST DATA\
number: A123456788\
first\_*name: test*\
*last\_name: test*\
*dob:* 1998-12-12
{% endhint %}

## Allows merchant to verify an International passport

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/national_passport`

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | \<your secret key> |

#### Request Body

| Name                                          | Type   | Description                   |
| --------------------------------------------- | ------ | ----------------------------- |
| number<mark style="color:red;">\*</mark>      | String | the passport number           |
| first\_name<mark style="color:red;">\*</mark> | String | first name                    |
| last\_name<mark style="color:red;">\*</mark>  | String | last name                     |
| dob<mark style="color:red;">\*</mark>         | String | Date of birth(e.g 1998-09-21) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
"status": true,
"detail": "Intl. Passport Verification Successful",
"response_code": "00",
"data": {
    "first_name": "",
    "last_name": "",
    "middle_name": "",
    "dob": "",
    "mobile":",
    "photo": “base64 image here”,
    "signature": “base64 image here”,
    "gender": "",
    "issued_at": "",
    "issued_date": "",
    "expiry_date": "",
    "reference_id": "",
    "number": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/data-verification/nigeria/international-passport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
